Bug 454761 - Refactor Entitlements and AccessRights
Refactor Entitlements and AccessRights
Status: CLOSED DUPLICATE of bug 454726
Product: JBoss Customer Support Portal
Classification: Retired
Component: Integration-Red Hat (Show other bugs)
1.3.8
All All
high Severity high
: ---
: ---
Assigned To: JBoss CSP Bug Watch List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-09 17:29 EDT by Mike Amburn
Modified: 2008-08-28 09:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-28 09:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Amburn 2008-07-09 17:29:19 EDT
For example: AccessRights uses a categoryToProductMap, which has product id's hardcoded in it to put products into categories. Currently, adding a new product requires redeploying the application. The entitlements are all over the place now.

----
Data relocated from Jira (JBNET-1801)
Comment 1 John Sanda 2008-08-27 21:34:09 EDT
This bug should be closed. The part pertaining to AccessRights.java is covered by bug 45472. A separate bug should be created for entitlements refactoring. This does not provide enough information about it. I would have closed this bug myself, but I don't see the option to close it.
Comment 2 John Sanda 2008-08-28 09:18:39 EDT
That bug for AccessRights.java should have been bug 454726.
Comment 3 John Sanda 2008-08-28 09:18:52 EDT

*** This bug has been marked as a duplicate of bug 454726 ***

Note You need to log in before you can comment on or make changes to this bug.